import java.util.*;
import java.io.*;
/**
* Clase para el manejo de un archivo de texto con una lista de alumnos
* @author Alejandro Merello - Felipe Diaz
*/
public class Nombres{
	/**
	* Define el archivo sobre el que se trabajara
	*/
	public Nombres(String file){
		this.file = file;
	}
	
	/**
	* Retorna el numero de elementos del archivo
	*/
	public int contar() throws IOException{
		FileReader cuenta = new FileReader(file);
		Scanner c = new Scanner(cuenta);
		Scanner in = new Scanner(System.in);
		N=0;
		while(c.hasNextLine()){c.nextLine();N++;}
		cuenta.close();
		return N;
	}

	/**
	* Retorna un arreglo de estudiantes con los elementos del archivo
	*/
	public Estudiante [] tomar() throws IOException{
		int k=0;
		Estudiante curso[] = new Estudiante[N];
		FileReader lista = new FileReader(file);
		Scanner s = new Scanner(lista);
		Extractor e = new Extractor(s);
		Random rnd = new Random();
		while(e.quedanNombres()){curso[k]= new Estudiante(e.getName(),45*rnd.nextFloat()+55.0F);k++;}
		lista.close();
		return curso;
	}
	
	private String file;
	private int N;
}
